package uam.tdaw.eventos.controladores;

import java.util.LinkedList;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import uam.tdaw.eventos.clases.Continente;
import uam.tdaw.eventos.clases.Opcion;
import uam.tdaw.eventos.formas.DestinoFrm;
import uam.tdaw.eventos.negocio.AdministrarListas;

@Controller
public class CapturarLecturasController {

	@RequestMapping("leerOpcionRadioButtons")
	public ModelAndView capturarOpcionesRadioButtons(@ModelAttribute("opcionRadioButton") Opcion opcion){
		
		System.out.println("Se registró la clave: " + opcion.getClave());
		return null;
	}
	
	@RequestMapping("leerOpcionListas")
	public ModelAndView capturarOpcionesListas(@ModelAttribute("continente") Continente continente){
		
		System.out.println("Se registró el continente: " + continente.getClaveContinente());
				
		if(continente.getAvanzar()==0){
			ModelAndView modelo = new ModelAndView("eventosListas");
			AdministrarListas administrar = new AdministrarListas();
			
			LinkedList<Continente>lista = administrar.listaContinenentes();
			LinkedList<Continente>listaContinentes = administrar.marcaSeleccionado(lista,continente.getClaveContinente());
			
			modelo.addObject("listaContinentes", listaContinentes);
			modelo.addObject("continente", continente);
			return modelo;

		}
		else{
			return null;

		}
		
			
	}
	
	@RequestMapping("leerOpcionListasDependientes")
	public ModelAndView capturarOpcionesListasDependientes(@ModelAttribute("datosDestino") DestinoFrm destino){
		
		System.out.println("Se registró el continente: " + destino.getClaveContinente());
		System.out.println("Se registró el país: " + destino.getClavePais());
		return null;
	}
	
}
